Issue 103121 - Caption for inserted object is not consistent with Autocaption position setting
Summary: Caption for inserted object is not consistent with Autocaption position setting
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: DEV300m50
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 84292
  Show dependency tree
 
Reported: 2009-06-26 08:39 UTC by amy2008
Modified: 2013-08-07 14:44 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2009-06-26 08:39:52 UTC
Can reproduce it in OOo2.4.1
Tools - Options -   OOo writer - AutoCaption - check OOo spreadsheet - position:
above - OK
In writer, Insert - Object - OLE Object - OOo spreadsheet - OK
Find illustration X is inserted below the OOo spreadsheet object.

Regards
Li Meiying
Comment 1 michael.ruess 2009-06-26 08:57:09 UTC
MRU->OS: I think, the bug is, that it is allowed (in the Autocaption options) to
set "above" position for Spreadsheet objects, but not for any other OLE or
picture in Writer.
Comment 2 Oliver Specht 2009-06-26 11:44:01 UTC
I don't know which version you are using. My version has this problem for all
types of OLE objects. 

Fixed in cws os133 in
sw/source/ui/config/optload.cxx

Comment 3 Oliver Specht 2009-08-07 12:26:06 UTC
reassigned for verification
Comment 4 michael.ruess 2009-08-14 07:28:20 UTC
Verified in CWS os133.
Comment 5 michael.ruess 2009-10-02 10:41:19 UTC
Checked in DEV300m60.